<!DOCTYPE html>
<html>
    <head>
        <title>
            Creación de Páginas Web Nivel 1
        </title>
        <link rel="stylesheet" type="text/css" href="css/index_style.css"/>
        <link  rel="stylesheet" href="https://fonts.googleapis.com/css?family=Karla:400,400i,700,700i&ampdisplay=swap">
    </head>
    <body>
        <div id="whole">
            <div id="upper">
                <h1>
                    CREACIÓN DE PÁGINAS WEB NIVEL 1
                </h1>
            </div>
            <div id="middle">
                <div id="lateral">
                    <center>
                        <h5>
                            TABLA DE CONTENIDO
                        </h5> 
                    </center>
                    <ul>
                        <li>
                            <a href="#etiquetas">
                                Etiquetas de Texto
                            </a>
                        </li>
                        <li>
                            <a href="#estructura">
                                Estructura y Divisiones
                            </a>
                        </li>
                        <li>
                            <a href="#tablas">
                                Tablas
                            </a>
                        </li>
                    </ul>
                </div>
                <div id="main">
                    <h2>
                        SESIÓN 2: ETIQUETAS Y ESTRUCTURA
                    </h2>
                    <h3 id="etiquetas">
                        ETIQUETAS DE TEXTO
                    </h3>
                    <p>
                        En la tabla siguiente están las etiquetas que se relacionan con la edición del texto:
                    </p>
                    <table border="1">
                      <tr>
                        <td><pre>&ltabbr&gt</pre></td>
                        <td><pre>&ltcite&gt</pre></td>
                        <td><pre>&ltins&gt</pre></td>
                        <td><pre>&ltsmall&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltaddress&gt</pre></td>
                        <td><pre>&ltcode&gt</pre></td>
                        <td><pre>&ltkbd&gt</pre></td>
                        <td>
                            <pre>&ltstrong&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltaside&gt</pre></td>
                        <td><pre>&ltdel&gt</pre></td>
                        <td><pre>&ltmark&gt</pre></td>
                        <td><pre>&ltsub&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltb&gt</pre></td>
                        <td><pre>&ltdfn&gt</pre></td>
                        <td><pre>&ltp&gt</pre></td>
                        <td><pre>&ltsup&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltbdi&gt</pre></td>
                        <td><pre>&ltem&gt</pre></td>
                        <td><pre>&ltpre&gt</pre></td>
                        <td><pre>&lttime&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltbdo&gt</pre></td>
                        <td><pre>&lth1&gt to h6&gt</pre></td>
                        <td><pre>&ltq&gt</pre></td>
                        <td><pre>&ltu&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltblockquote&gt</pre></td>
                        <td><pre>&lthr&gt</pre></td>
                        <td><pre>&lts&gt</pre></td>
                        <td><pre>&ltvar&gt</pre></td>
                      </tr>
                      <tr>
                        <td><pre>&ltbr&gt</pre></td>
                        <td><pre>&lti&gt</pre></td>
                        <td><pre>&ltsamp&gt</pre></td>
                        <td><pre>&ltwbr&gt</pre></td>
                      </tr>
                    </table>
                    <p>
                    La primera etiqueta que se debe conocer es &ltpre&gt , que ayuda a mostrar las etiquetas en la pantalla, y evita que el navegador la
                    procese como una etiqueta.
                    
                    <p>
                    La sigiente etiqueta es &lthn&gt es la etiqueta usada para hacer títulos, así:
                    
                    <h1>Este título está hecho con &lth1&gt</h1>
                    
                    Existen títulos desde &lth1&gt hasta &lth6&gt Siendo 1 el más grande.
                    <p>
                        Luego se tiene el tag &ltp&gt, que inicia un párrafo, como este párrafo.
                    </p>
                    <p>
                        Entre las etiquetas más útiles está la etiqueta &ltb&gt o &ltstrong&gt que <b>hace que el texto sea en negrilla</b>, la etiqueta &lti&gt y 
                        la etiqueta &ltem&gt hacen que <i>el texto se incline.</i> La etiqueta &ltq&gt sirve para <q>pone el texto entre comillas.</q> La etiqueta &ltu&gt <u>subraya un texto</u> y las etiquetas &lts&gt 
                        o &ltdel&gt <s>lo tacha.</s> Las etiquetas &ltsub&gt y &ltsup&gt hacen que el texto <sub>se escriba 
                        debajo</sub> o <sup>se escriba arriba</sup>, respectivamente. Igualmente &ltsmall&gt hace <small>el texto más pequeño</small>, &ltbr&gt <br>
                        Inserta un salto de página en el mismo párrafo y &lthr&gt <hr>
                        Inserta una línea de división del texto.
                        
                    <p>
                        &ltblockquote&gt
                        <blockquote>
                            Sirve para insertar una cita.
                        </blockquote>
                        
                        <h4>
                            Ejercicio
                        </h4>
                        <p>
                            Cree una página web donde use la mayor cantidad posible de etiquetas de texto. Procure usar al menos dos de las etiquetas que no se 
                        mencionan en el contenido anterior.

                    <h3 id="estructura">
                        ESTRUCTURA Y DIVISIONES
                    </h3>
                    <p>
                        El siguiente código es la estructura básica de una página web. Se le ponen colores para diferenciar las partes de este.
                    <div style="background-color: #ADD8E6">
                        <small>
                        <pre>
&lt!DOCTYPE html&gt
&lthtml&gt
    &lthead&gt
        &ltmeta charset="utf-8"&gt
        &lttitle&gt
            Este título en la pestaña
        &lt/title&gt
    &lt/head&gt
    &ltbody&gt
        &ltdiv style="background-color: blue; color: white; text-align: center"&gt
            &lth1&gt
                AQUÍ VA EL TÍTULO
            &lt/h1&gt
        &lt/div&gt
        &ltdiv style="display: flex;flex: 1"&gt
            &ltdiv style="background-color: green;width: 20%;float: left"&gt
                &ltp&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
            &lt/div&gt
            &ltdiv style="background-color: white; width: 60%"&gt
                &ltp&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
                    Aquí va el contenido principal.&ltbr&gt
            &lt/div&gt
            &ltdiv style="background-color: red;width: 20%;float: right"&gt
                &ltp&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
                    Este es un panel lateral&ltbr&gt
            &lt/div&gt
        &lt/div&gt
        &ltdiv style="clear: both; background-color: black; 
                      color: white; width: 100%;text-align: center"&gt
            &ltp&gt
                ESTE ES UN PIE DE PÁGINA
        &lt/div&gt
    &lt/body&gt
&lt/html&gt
                        </pre>
                        </small>
                    </div>
                    <h4>
                            Ejercicio
                    </h4>
                    <p>
                        Busque en internet su página favorita y trate de emular la división en cajas que tiene. Use el código de arriba como guía.
                    <h3 id="tablas">
                        TABLAS
                    </h3>
                    <table border="1">
                      <tr>
                        <th>NOMBRE</th>
                        <th>CARGO</th>
                        <th>SALARIO</th>
                      </tr>
                      <tr>
                        <td>William Cancino<br></td>
                        <td>Contabilidad</td>
                        <td>COP$1.000.000<br></td>
                      </tr>
                      <tr>
                        <td>Yessica Castrillón</td>
                        <td>Ventas</td>
                        <td>COP$1.200.000</td>
                      </tr>
                      <tr>
                        <td>Fabian León</td>
                        <td>Producción</td>
                        <td>COP$900.000</td>
                      </tr>
                      <tr>
                        <td>Víctor Mantila</td>
                        <td>Sistemas</td>
                        <td>COP$1.000.000</td>
                      </tr>
                      <tr>
                        <td>Alejandra Moreno</td>
                        <td>Inventario<br></td>
                        <td>COP$2.000.000</td>
                      </tr>
                      <tr>
                        <td>Lina Ruiz</td>
                        <td>Gerencia</td>
                        <td>COP$2.000.000</td>
                      </tr>
                      <tfoot>
                        <tr>
                        <td colspan="2">TOTAL</td>
                        <td>COP$8.100.000</td>
                        </tr>
                      </tfoot>
                      <caption>
                          Tabla de sueldos.
                      </caption>
                    </table>
                <p>
                    La tabla anterior se crea con el código:
                <div style="background-color: #ADD8E6">
                    <small>
                        <pre>
&lttable border="1"&gt
  &lttr&gt
    &ltth&gtNOMBRE&lt/th&gt
    &ltth&gtCARGO&lt/th&gt
    &ltth&gtSALARIO&lt/th&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtWilliam Cancino&ltbr&gt&lt/td&gt
    &lttd&gtContabilidad&lt/td&gt
    &lttd&gtCOP$1.000.000&ltbr&gt&lt/td&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtYessica Castrillón&lt/td&gt
    &lttd&gtVentas&lt/td&gt
    &lttd&gtCOP$1.200.000&lt/td&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtFabian León&lt/td&gt
    &lttd&gtProducción&lt/td&gt
    &lttd&gtCOP$900.000&lt/td&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtVíctor Mantila&lt/td&gt
    &lttd&gtSistemas&lt/td&gt
    &lttd&gtCOP$1.000.000&lt/td&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtAlejandra Moreno&lt/td&gt
    &lttd&gtInventario&ltbr&gt&lt/td&gt
    &lttd&gtCOP$2.000.000&lt/td&gt
  &lt/tr&gt
  &lttr&gt
    &lttd&gtLina Ruiz&lt/td&gt
    &lttd&gtGerencia&lt/td&gt
    &lttd&gtCOP$2.000.000&lt/td&gt
  &lt/tr&gt
  &lttfoot&gt
    &lttr&gt
    &lttd colspan="2"&gtTOTAL&lt/td&gt
    &lttd&gtCOP$8.100.000&lt/td&gt
    &lt/tr&gt
  &lt/tfoot&gt
  &ltcaption&gt
      Tabla de sueldos.
  &lt/caption&gt
&lt/table&gt
                            </pre>
                        </small>
                    </div>
                <h4>
                    Ejercicio
                </h4>
               <p>
                    Cree una tabla de cuatro filas y cuatro columnas, coloque encabezados en la tabla. Use &ltrowspan&gt en al menos una celda.
            </div>
            <div id="footer">
                Página creada por Víctor Alfonso Mantilla Villamizar. 2019<br>Correo electrónico: vmantillav@gmail.com
            </div>
        </div>
    </body>
</html>
